Bug 460172 - gpicview: Ask before rewriting of the original file after file rotation is ignored when build with the LIBJPEG.
gpicview: Ask before rewriting of the original file after file rotation is ig...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gpicview (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Wiriadisastra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 12:06 EDT by Jan Lieskovsky
Modified: 2008-10-30 08:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 08:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-08-26 12:06:03 EDT
Description of problem:

gpicview-0.1.9, when build with the LIBJPEG library, does not
ask user for confirmation to rewrite original JPEG file, after
this file has been successfully rotated on user request.

Version-Release number of selected component (if applicable):
gpicview-0.1.9

How reproducible:
Always

Steps to Reproduce:
No reproducer
  
Actual results:
Original image file is without user confirmation, after issuing request
to Save the file, rewritten with its rotated copy. This destroys data
when specifically not allowed.

Expected results:
Gpicview should ask user for confirmation, if the original file
should be replaced with its rotated copy or preserved and its rotated
copy used under different file name.

Additional info:

Relevant part of the code:

#ifdef HAVE_LIBJPEG
    if(strcmp(type,"jpeg")==0){
        if(rotate_and_save_jpeg_lossless(file_name,mw->rotation_angle)!=0)
            main_win_show_error(mw, "Save failed! Check permissions.");
    } else
#endif
        main_win_save( mw, file_name, type, pref.ask_before_save ); 

The 'main_win_save' will be omitted in the case, when gpicview build
with LIBJPEG library.

References:

http://sourceforge.net/tracker/index.php?func=detail&aid=2019485&group_id=180858&atid=894869
Comment 1 Marc Wiriadisastra 2008-10-04 11:31:56 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=861266

Does this fix it?
Comment 2 Fedora Update System 2008-10-07 09:16:56 EDT
gpicview-0.1.10-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/gpicview-0.1.10-1.fc8
Comment 3 Fedora Update System 2008-10-07 09:17:01 EDT
gpicview-0.1.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gpicview-0.1.10-1.fc9
Comment 4 Fedora Update System 2008-10-09 17:34:24 EDT
gpicview-0.1.10-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpicview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8715
Comment 5 Fedora Update System 2008-10-09 17:36:26 EDT
gpicview-0.1.10-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpicview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8752
Comment 6 Fedora Update System 2008-10-30 08:48:18 EDT
gpicview-0.1.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-10-30 08:50:54 EDT
gpicview-0.1.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.